/* GENERAL STYLES V0.5*/
/*  FONTS ---------------------------- */
/* Urbanist */
@font-face {
    font-family: 'SpaceGrotesk', sans-serif;
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 200;
    font-style: extralight;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 300;
    font-style: light;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 700;
    font-style: bold;
    font-display: swap;
}

@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 800;
    font-style: extrabold;
    font-display: swap;
}


@font-face {
    font-family: 'Space Grotesk';
    src: url('../fonts/Space_Grotesk/SpaceGrotesk-VariableFont_wght.ttf') format('truetype');
    font-weight: 900;
    font-style: black;
    font-display: swap;
}

/* ================================================ */
/*  SECTION COLORS */
/* ================================================ */

:root {
   
    --main-green: #009D8F;
    --green: #008275;
    --dark-green: #005F6A;
    --dark-green-50: #005f6a50;
    --light-green: #00B9B1;
    --mint: #B6F400;
    --purple: #684191;
    --purple-50: #68419150;
    --purple-hover: #523471;
    --orange: #FF6B47;
    --orange-hover: #CA3716;
    --black: #000;
    --white: #fff;
}


.main-green {
    background-color: var(--main-green);
}

.light-green {
    background-color: var(--light-green);
}

.green {
    background-color: var(--green);
}

.dark-green {
    background-color: var(--dark-green);
}

/* ================================================ */
/*  SECTION GENERAL STYLES */
/* ================================================ */

html {
    scroll-behavior: smooth;
}


body {
    font-family: "Space Grotesk", sans-serif;
    font-weight: 400;
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

main {
    min-height: calc(90vh - 20px);
    overflow-x: hidden;
}

section {
    position: relative;
    padding: clamp(50px, 2%, 100px) 0;
}

article {
    position: relative;
    padding: clamp(50px, 2%, 100px) 0;
}

div,
p,
a,
span,
h1,
h2,
h3,
h4,
h5,
h6 {
    box-sizing: border-box;
}

img {
    height: 100%;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

h1 {
    font-size: 2.5rem;
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
}

h2 {
    font-weight: 600;
    color: var(--dark-green);
}

h3 {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 10px;
}

h4 {
    font-size: 1.1rem;

}

h5 {
    font-size: 1rem;

}

a {
    text-decoration: none;
    color: inherit;
}

a:hover {
    text-decoration: none;
    color: inherit;
}

ul {
    padding-left: 0;
}

li {
    list-style: none;
}

strong {
    font-weight: 600;
}


.hidden {
    display: none; /* this hidesn content also in Gutenberg */
} 

.content-hidden {
    display: none;
}


.uppercase {
    text-transform: uppercase;
}

.text-white {
    color: #fff;
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.button-center {
    margin: 0 auto;
}

.section-title {
    margin-bottom: 60px;
}

/* Margins ---------------------------- */
.margin-top-xs {
    margin-top: 20px;
}

.margin-top-sm {
    margin-top: 40px;
}

.margin-top-md {
    margin-top: 80px;
}

.margin-top-lg {
    margin-top: 120px;
}

.margin-top-xl {
    margin-top: 160px;
}

.margin-bottom-xs {
    margin-bottom: 20px;
}

.margin-bottom-sm {
    margin-bottom: 40px;
}

.margin-bottom-md {
    margin-bottom: 80px;
}

.margin-bottom-lg {
    margin-bottom: 120px;
}

/* Padding ---------------------------- */
.padding-top-xs {
    padding-top: 20px;
}

.padding-top-sm {
    padding-top: 40px;
}

.padding-top-md {
    padding-top: 80px;
}

.padding-top-lg {
    padding-top: 120px;
}

.padding-top-xl {
    padding-top: 160px;
}

.padding-bottom-xs {
    padding-bottom: 20px;
}

.padding-bottom-sm {
    padding-bottom: 40px;
}

.padding-bottom-md {
    padding-bottom: 80px;
}

.padding-bottom-lg {
    padding-bottom: 120px;
}

.padding-sides-md {
    padding: 0 5%;
}


/* ================================================ */
/* SECTION NAVIGATION */
/* ================================================ */

/* ================================================ */
/* SECTION BUTTONS */
/* ================================================ */

.cta-wrapper {
    display: flex;
    justify-content: center;
    text-align: center;
    margin-top: 40px;
    
}

 .cta {
    width: fit-content;
    border: none;
    padding: 15px 40px;
    border-radius: 50px;
    cursor: pointer;
    transition: 0.35s ease-in-out;
 }

 .cta-orange {
    background-color: var(--orange);
    color: #fff;
    text-transform: uppercase;
    font-size: 1.1rem;
    font-weight: 600;
    &:hover {
        background-color: var(--orange-hover);
        color: #fff;
    }
 }

 .cta-purple {
    background-color: var(--purple);
    color: #fff;
    /* text-transform: uppercase; */
    font-weight: 600;
    padding: 10px 40px;
    min-width: 200px;
    text-align: center;

    &:hover {
        background-color: var(--purple-hover);
    }
 }

 .cta-inactive {
    background-color: #ccc;
    color: #666;
    cursor: not-allowed;
    pointer-events: none;
 }

.cta-outline {
    background-color: transparent;
    color: var(--dark-green);
    border: 1px solid var(--dark-green);
    padding: 10px 40px;
    border-radius: 50px;
    transition: 0.35s ease-in-out;

    &:hover {
        background-color: var(--dark-green-50);
    }
}

.cta-outline-purple {
    background-color: transparent;
    color: var(--purple);
    border: 1px solid var(--purple);
    padding: 10px 40px;
    border-radius: 50px;
    transition: 0.35s ease-in-out;
}

.cta-outline-purple:hover {
    background-color: var(--purple-50);
}

/* ================================================ */
/* SECTION LAYOUT */
/* ================================================ */

.mobile {
    display: none !important;
}

.desktop {
    display: block !important;
}

.container {
    max-width: 1200px;
}

.container-narrow {
    max-width: 900px;
}

.col-narrow {
    padding-inline: min(15%, 60px);
}

.tilt-left {
    transform: rotate(-1.5deg);
}

.tilt-right {
    transform: rotate(1.5deg);
}

.tilt-left-small {
    transform: rotate(-1deg);
}

.tilt-right-small {
    transform: rotate(1deg);
}



/* ================================================ */
/* SECTION COMMON ELEMENTS */
/* ================================================ */

/* CIRCLES */
.circles {
    max-width: 900px;
    aspect-ratio: 1/1;
    background-color: var(--purple);
    border-radius: 50%;
}

#circle-1 {
    width: 40%;
    position: absolute;
    top: -250px;
    left: -15%;
}

#circle-2 {
    position: absolute;
    width: 100%;
    top: 40px;
    left: 20px;
    opacity: 0.5;
}

#circle-3 {
    position: absolute;
    width: 100%;
    max-width: 600px;
    top: 80%;
    right: -20%;
    opacity: 0.5;
}


/* MINT BOX */
.mint-box {
    background-color: var(--mint);
    padding: 5px 15px;
    border-radius: 50px;
    font-weight: 600;
    color: var(--dark-green);
}

.mint-box-tilted {
    display: inline-block;
    transform: rotate(2deg);
    background-color: var(--mint);
    padding: 10px 25px;
    border-radius: 15px;
    color: var(--purple);

    & span {
        display: inline-block;
        transform: rotate(-2deg);
    }
}

/* TINT TEXT */
.mint-text {
    color: var(--mint);
}

/* TITLE STYLES */
.section-title {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 50px
}

.section-title-green {
    background-color: var(--dark-green);
    text-align: center;
    text-transform: uppercase;
    margin-inline: auto;
    margin-bottom: 50px;
    color: #fff;
    padding: 15px 40px;
    width: fit-content;
    border-radius: 15px;

    & h3 {
        margin-bottom: 0;
        font-size: 1.2rem;
    }
}

.green-section {
    background-color: var(--dark-green);
    border-radius: 80px;
    margin-inline: min(2%, 50px);

    .section-title {
        color: #fff;
    }
}


/* =============================== */
/*  SECTION FOOTER
/* =============================== */

footer {
    display: flex;
    justify-content: center;
    min-height: 100px;
    text-align: center;
}

/* ================================================ */
/* ================================================ */
/* MEDIA QUERIES */
/* ================================================ */
/* ================================================ */


@media (max-width: 992px) {

}

/* Worddpress breakpoint */
@media (max-width: 781px) {

}
@media (max-width: 768px) {

}

@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}